Name:           gsf-sharp
Version:        0.6
Release:        8
Summary:        Mono bindings for libgsf

Group:          System Environment/Libraries
License:        GPL
URL:            http://go-mono.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel libgsf-devel gtk-sharp2-gapi gtk-sharp2 >= 1.9.5
Requires:       libgsf

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 s390x

%description
Mono bindings for libgsf

%prep
%setup -q

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}

#fix lib64 issue
perl -pi -e "s,lib64,lib,g" gsf-sharp.pc

make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING
%{_libdir}/libgsfglue.*
%{_libdir}/pkgconfig/gsf-sharp.pc
%{_prefix}/lib/mono/gac/gsf-sharp
%{_prefix}/lib/mono/gtk-sharp/*
%{_prefix}/share/gapi-2.0/gsf-api.xml

%changelog
* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.6-8
- Buildrequires: gtk-sharp2

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.6-7
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6-6.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.6-6
- Rebuild

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> 0.6-5
- Build on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.6-4
- Add s390 target

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.6-3
- Rebuild for new libgsf

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> 0.6-2
- Fix lib64 issue in pkgconfig file

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- Initial version
